Package com.independentsoft.office.drawing.extensions

# Class ThemeFamily

java.lang.Object
com.independentsoft.office.drawing.extensions.ThemeFamily

All Implemented Interfaces:
  `IExtensionContent`

public class ThemeFamily extends Object implements IExtensionContent
Represents the theme-family extension (`thm15:themeFamily`) that identifies the theme family by name, id and variation id (uri `{05A4C25C-085E-4340-85A3-A5531E510DB2}`).

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static String`
  `NAMESPACE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ThemeFamily()`
  Instantiates a new theme family.
  `ThemeFamily​(InternalXMLStreamReader reader)`
  Instantiates a new theme family.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IExtensionContent`
  `clone()`
  Clone.
  `String`
  `getId()`
  Gets the theme family id (`id`).
  `String`
  `getName()`
  Gets the theme family name (`name`).
  `String`
  `getVid()`
  Gets the theme variation id (`vid`).
  `void`
  `setId​(String id)`
  Sets the theme family id (`id`).
  `void`
  `setName​(String name)`
  Sets the theme family name (`name`).
  `void`
  `setVid​(String vid)`
  Sets the theme variation id (`vid`).
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### NAMESPACE

    public static final String NAMESPACE
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### ThemeFamily

    public ThemeFamily()
    Instantiates a new theme family.

  - ### ThemeFamily

    public ThemeFamily​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new theme family.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the XML stream exception

- ## Method Details

  - ### clone

    public IExtensionContent clone()
    Description copied from interface: `IExtensionContent`
    Clone.
    Specified by:
      `clone` in interface `IExtensionContent`
    Overrides:
      `clone` in class `Object`
    Returns:
      the extension content

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getName

    public String getName()
    Gets the theme family name (`name`).
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the theme family name (`name`).
    Parameters:
      `name` - the new name

  - ### getId

    public String getId()
    Gets the theme family id (`id`).
    Returns:
      the id

  - ### setId

    public void setId​(String id)
    Sets the theme family id (`id`).
    Parameters:
      `id` - the new id

  - ### getVid

    public String getVid()
    Gets the theme variation id (`vid`).
    Returns:
      the vid

  - ### setVid

    public void setVid​(String vid)
    Sets the theme variation id (`vid`).
    Parameters:
      `vid` - the new vid